%% Hier kommen alle nicht-layout-relevanten Pakete rein
\RequirePackage[utf8]{inputenc}

\RequirePackage{wallpaper}

\RequirePackage{ifthen}

\RequirePackage{import}

\RequirePackage{booktabs}

\RequirePackage{graphicx}
% Show graphics in draft mode
\setkeys{Gin}{draft=false}

\RequirePackage{amsmath}
\RequirePackage{amssymb}

\RequirePackage{pifont}

\newtheorem{definition}{Definition}

\RequirePackage[toc,title,header]{appendix}
\noappendicestocpagenum

\newcommand{\code}[1]{\texttt{\hyphenchar\font45\relax #1}}
\newcommand{\model}[1]{\textsf{#1}}
%\newcommand{\todo}[1]{\textbf{\textcolor{kit-red100}{TODO: #1}}}
\RequirePackage[color=kit-green30,obeyDraft]{todonotes}
\presetkeys{todonotes}{inline}{}
\newcommand{\furcas}{\textsc{Furcas} }

\hyphenation{me-ta-mo-del}

%% 
%% for draft mode
%%
\RequirePackage{ifdraft}

\newcommand{\pgsize}[1]{\ifdraft{~\color{kit-blue100}[#1]}{}}
\newcommand{\dl}[1]{\ifdraft{~\color{kit-green100}[#1]}{}}

\PassOptionsToPackage{hyphens}{url}
\RequirePackage[breaklinks,colorlinks=true]{hyperref}
\RequirePackage{url}
%\RequirePackage{breakurl}
\newcommand\setpdf{\hypersetup{%
			pdftitle={Dissertation Proposal},%
			pdfsubject={\@title},%
			pdfauthor={\@author},%
			pdfkeywords={Component Based Software Development, Palladio, PCM, SDQ, Karlsruhe},%
			pdfborder={0 0 0},%
			linkcolor=kit-blue100,%
			citecolor=kit-green100,%
			urlcolor=kit-red100
			}%
		}

\def\sectionautorefname{Section}
\def\subsectionautorefname{Subsection}
\def\subsubsectionautorefname{Subsection}
\def\paragraphautorefname{Paragraph}


\RequirePackage{xspace}

\newcommand{\vitruv}{\textrm{\textsc{Vitruvius}}\xspace}%
% \textsc{%
% V\kern-1.5pt%
% i\kern-1pt%
% t\kern-1pt%
% r\kern-1pt% 
% u\kern-1pt% 
% v\kern-1pt% 
% i\kern-1pt% 
% u\kern-1pt% 
% s\kern-1pt%
% }\xspace}
%}